module.exports = app => {
  const userlogs = require("../controllers/userlogs.controller.js");
  var router = require("express").Router();
  router.post("/alldropdown", userlogs.alldropdown);
  router.post("/ptbyid", userlogs.ptbyid);
  router.post("/review_guide_progress", userlogs.review_guide_progress);
  router.post("/usp_getreviewguide", userlogs.usp_getreviewguide);
  router.post("/all_video_mind", userlogs.all_video_mind);
  router.post("/allcatexams", userlogs.allcatexams);
  router.post("/allcompany", userlogs.allcompany);
  router.post("/allexams", userlogs.allexams);
  router.post("/allknowass", userlogs.allknowass);
  router.post("/allpractice", userlogs.allpractice);
  router.post("/allscore", userlogs.allscore);
  router.post("/alluser", userlogs.alluser);
  router.post("/by", userlogs.by);
  router.post("/cohortall", userlogs.cohortall);
  router.post("/deletepracticefeedback", userlogs.deletepracticefeedback);
  router.post("/getknowassbyid", userlogs.getknowassbyid);
  router.post("/hybrid_addcohort", userlogs.hybrid_addcohort);
  router.post("/hybrid_class_all", userlogs.hybrid_class_all);
  router.post("/hybrid_class_delete", userlogs.hybrid_class_delete);
  router.post("/hybrid_class_get_save_schedule", userlogs.hybrid_class_get_save_schedule);
  router.post("/hybrid_updatecohort", userlogs.hybrid_updatecohort);
  router.post("/practiceappfeedback", userlogs.practiceappfeedback);
  router.post("/savescores", userlogs.savescores);
  router.post("/updatecohort", userlogs.updatecohort);
  router.post("/updatepracticefeedback", userlogs.updatepracticefeedback);
  app.use('/userlogs', router);
};
